/*
    File:         USBAx88178.h

    Description:  Driver for USBAx8817x USB-To-Ethernet devices

    Copyright:    Copyright 2005, Daniel Sumorok and Peter Sichel
        
    Disclaimer:   This program is free software; you can redistribute it
                  and/or modify it under the terms of the GNU General
                  Public License as published by the Free Software
                  Foundation; either version 2, or (at your option)
                  any later version.

                  This program is distributed in the hope that it will
                  be useful, but WITHOUT ANY WARRANTY; without even
                  the implied warranty of MERCHANTABILITY or FITNESS
                  FOR A PARTICULAR PURPOSE.  See the GNU General
                  Public License for more details.

                  You should have received a copy of the GNU General
                  along with this program; if not, write to the Free
                  Software Foundation, 59 Temple Place - Suite 330,
                  Boston, MA 02111-1307, USA.  Change History (least
                  recent first):

        Change History (most recent first):
        
            <1>         09/25/05        Initial Creation
*/

class USBAx88178 : public USBAx88772 {
  // Constructor & Destructor stuff
  OSDeclareDefaultStructors(USBAx88178);
protected:
  virtual bool      resetMAC(void);
}; /* end class USBAx88178 */
